NXOpen .NET Reference  12.0.0
Properties | List of all members
NXOpen.Parabola Class Reference

Represents a parabola curve. More...

Inheritance diagram for NXOpen.Parabola:
NXOpen.Conic NXOpen.Curve NXOpen.SmartObject NXOpen.ICurve NXOpen.IProfile NXOpen.DisplayableObject NXOpen.IBaseCurve NXOpen.INXObject NXOpen.NXObject NXOpen.IFitTo NXOpen.INXObject NXOpen.INXObject NXOpen.INXObject

Properties

unsafe double FocalLength [get, set]
 Returns or sets the focal length. More...
 
unsafe double MaximumDY [get]
 Returns the maximum DY width. More...
 
unsafe double MinimumDY [get]
 Returns the minimum DY width. More...
 
- Properties inherited from NXOpen.Conic
unsafe NXOpen.Point3d CenterPoint [get]
 Returns the center. More...
 
unsafe NXOpen.NXMatrix Matrix [get]
 Returns the orientation matrix. More...
 
unsafe double RotationAngle [get]
 Returns the rotation angle. More...
 
- Properties inherited from NXOpen.Curve
unsafe bool IsReference [get]
 Returns the reference state of a curve More...
 
- Properties inherited from NXOpen.SmartObject
unsafe
NXOpen.SmartObject.UpdateOption 
Update [get]
 Returns the update option. More...
 
unsafe
NXOpen.SmartObject.VisibilityOption 
Visibility [get]
 Returns the visibility. More...
 
- Properties inherited from NXOpen.DisplayableObject
unsafe int Color [get, set]
 Returns or sets the color of the object. More...
 
unsafe bool IsBlanked [get]
 Returns the blank status of this object. More...
 
unsafe int Layer [get, set]
 Returns or sets the layer that the object is in. More...
 
unsafe
NXOpen.DisplayableObject.ObjectFont 
LineFont [get, set]
 Returns or sets the line font of the object. More...
 
unsafe
NXOpen.DisplayableObject.ObjectWidth 
LineWidth [get, set]
 Returns or sets the line width of the object. More...
 
unsafe NXOpen.Point3d NameLocation [get]
 Returns the location of the object's name. More...
 
- Properties inherited from NXOpen.NXObject
unsafe bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
unsafe string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
unsafe string Name [get]
 Returns the custom name of the object. More...
 
unsafe NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
unsafe NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
unsafe NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 
- Properties inherited from NXOpen.INXObject
bool IsOccurrence [get]
 Returns whether this object is an occurrence or not. More...
 
string JournalIdentifier [get]
 Returns the identifier that would be recorded in a journal for this object. More...
 
string Name [get]
 Returns the custom name of the object. More...
 
NXOpen.Assemblies.Component OwningComponent [get]
 Returns the owning component, if this object is an occurrence. More...
 
NXOpen.BasePart OwningPart [get]
 Returns the owning part of this object More...
 
NXOpen.INXObject Prototype [get]
 Returns the prototype of this object if it is an occurrence. More...
 

Additional Inherited Members

- Public Types inherited from NXOpen.SmartObject
enum  UpdateOption {
  DontUpdate, WithinModeling, AfterModeling, AfterParentBody,
  Mixed
}
 Specifies when the smart object updates. More...
 
enum  VisibilityOption { Invisible, Visible, VisibleIfParentInvisible }
 Specifies the smart object visibility. More...
 
- Public Member Functions inherited from NXOpen.Conic
unsafe void GetOrientation (out NXOpen.Point3d center, out NXOpen.Vector3d xDirection, out NXOpen.Vector3d yDirection)
 Gets the orientation of the conic. More...
 
unsafe void SetOrientation (NXOpen.Point3d center, NXOpen.Vector3d xDirection, NXOpen.Vector3d yDirection)
 Sets the center of the conic. More...
 
unsafe void SetParameters (NXOpen.Point3d startPoint, NXOpen.Point3d endPoint, NXOpen.Point3d anchorPoint, double rho)
 Sets the start, end, anchor, rho of the conic. More...
 

Detailed Description

Represents a parabola curve.

To create a new instance of this class, use NXOpen.CurveCollection.CreateParabola

Created in NX3.0.0

Property Documentation

unsafe double NXOpen.Parabola.FocalLength
getset

Returns or sets the focal length.

Created in NX3.0.0

License requirements to get this property: None.

License requirements to set this property: solid_modeling ("SOLIDS MODELING") OR drafting ("DRAFTING")

unsafe double NXOpen.Parabola.MaximumDY
get

Returns the maximum DY width.

Created in NX3.0.0

License requirements: None.

unsafe double NXOpen.Parabola.MinimumDY
get

Returns the minimum DY width.

Created in NX3.0.0

License requirements: None.


The documentation for this class was generated from the following file:
Copyright 2017 Siemens Product Lifecycle Management Software Inc. All Rights Reserved.